package com.trade.service.trade.purchasecontract.dto;

import com.trade.common.core.dto.BaseDTO;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 采购商品dto
 *
 * @author hlb
 * @since 2024-09-07 16:23:02
 */
public class PurchaseCommodityDto extends BaseDTO {

    /**
     * 主键id
     */
    private Long id;
    /**
     * 采购合同号
     */
    private Long purchaseContractId;
    /**
     * 销售合同id主键
     */
    private Long salesContractId;
    /**
     * 销售商品id主键
     */
    private Long salesCommodityId;
    /**
     * 商品编码
     */
    private String hsCode;
    /**
     * 商品名称
     */
    private String name;

    /**
     * 报关品名
     */
    private String declarationName;
    /**
     * 商品规格
     */
    private String packSpec;
    /**
     * 计量单位
     */
    private String measurementUnit;
    /**
     * 出口退税率/增值税退税率
     */
    private String exportTaxRebateRate;
    /**
     * 增值税率/增值税征税率
     */
    private String addedTaxRate;
    /**
     * 型号
     */
    private String model;
    /**
     * 采购数量
     */
    private BigDecimal number;
    /**
     * 采购单价
     */
    private BigDecimal priceUnit;
    /**
     * 币种
     */
    private String currency;
    /**
     * 采购金额
     */
    private BigDecimal amount;
    /**
     * 采购金额(含税)
     */
    private BigDecimal totalAmount;
    /**
     * 创建时间
     */
    private Date gmtCreate;
    /**
     * 修改时间
     */
    private Date gmtModified;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getPurchaseContractId() {
        return purchaseContractId;
    }

    public void setPurchaseContractId(Long purchaseContractId) {
        this.purchaseContractId = purchaseContractId;
    }

    public Long getSalesContractId() {
        return salesContractId;
    }

    public void setSalesContractId(Long salesContractId) {
        this.salesContractId = salesContractId;
    }

    public Long getSalesCommodityId() {
        return salesCommodityId;
    }

    public void setSalesCommodityId(Long salesCommodityId) {
        this.salesCommodityId = salesCommodityId;
    }

    public String getHsCode() {
        return hsCode;
    }

    public void setHsCode(String hsCode) {
        this.hsCode = hsCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDeclarationName() {
        return declarationName;
    }

    public void setDeclarationName(String declarationName) {
        this.declarationName = declarationName;
    }

    public String getPackSpec() {
        return packSpec;
    }

    public void setPackSpec(String packSpec) {
        this.packSpec = packSpec;
    }

    public String getMeasurementUnit() {
        return measurementUnit;
    }

    public void setMeasurementUnit(String measurementUnit) {
        this.measurementUnit = measurementUnit;
    }

    public String getExportTaxRebateRate() {
        return exportTaxRebateRate;
    }

    public void setExportTaxRebateRate(String exportTaxRebateRate) {
        this.exportTaxRebateRate = exportTaxRebateRate;
    }

    public String getAddedTaxRate() {
        return addedTaxRate;
    }

    public void setAddedTaxRate(String addedTaxRate) {
        this.addedTaxRate = addedTaxRate;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public BigDecimal getNumber() {
        return number;
    }

    public void setNumber(BigDecimal number) {
        this.number = number;
    }

    public BigDecimal getPriceUnit() {
        return priceUnit;
    }

    public void setPriceUnit(BigDecimal priceUnit) {
        this.priceUnit = priceUnit;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
}
